import { datafluxRum } from '@cloudcare/browser-rum';
class DataKitSdk {
  constructor() {
    this.isProd = location.host === 'sop.qmth.com.cn';
  }
  isProd = true;
  init() {
    if (this.isProd) {
      datafluxRum.init({
        applicationId: 'e89104f0_c00d_11ee_8336_0f54bfdf06bb',
        datakitOrigin: 'https://datakit.qmth.com.cn', // 协议（包括：//），域名（或IP地址）[和端口号]
        env: 'production',
        version: '1.0.0',
        service: 'browser',
        sessionSampleRate: 100,
        sessionReplaySampleRate: 70,
        trackInteractions: true,
        traceType: 'ddtrace', // 非必填，默认为ddtrace，目前支持 ddtrace、zipkin、skywalking_v3、jaeger、zipkin_single_header、w3c_traceparent 6种类型
        allowedTracingOrigins: ['https://sop.qmth.com.cn'], // 非必填，允许注入trace采集器所需header头部的所有请求列表。可以是请求的origin，也可以是正则
      });
      datafluxRum.addRumGlobalContext(
        'track_id',
        'rtrace_d73b874ec3e9469f8fd13a1ef99ac13b'
      );
    }
  }
  setUser(obj) {
    if (this.isProd) {
      datafluxRum.setUser(obj);
    }
  }
}
const dataKitSdk = new DataKitSdk();
export default dataKitSdk;
